Get all child balances for a parent

Retrieves a paginated list of child balances associated with a given parent balance.

This endpoint allows you to browse all child balances under a parent using cursor-based pagination and returns an empty list when no children exist.

The parent_id parameter refers to the external UUID of the parent balance.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 32

The parent's unique identifier

Headers
string
required

OAuth token belonging to the e-commerce

Responses

{
  "text": "Success",
  "timestamp": "2025-10-01T11:52:00.13966402-06:00",
  "endpoint": "/wallet/v1/composite-balance/parent/66acce83856147e791206ca90a6e4b6d/children",
  "error": {},
  "payload": [
    {
      "id": 10249,
      "parent_id": "66acce83856147e791206ca90a6e4b6d",
      "credit_line": 50000,
      "credit_limit": 50000
    },
    {
      "id": 10250,
      "parent_id": "66acce83856147e791206ca90a6e4b6d",
      "credit_line": 50000,
      "credit_limit": 50000
    }
  ]
}

{
  "timestamp": "2025-10-01T11:52:32.047508183-06:00",
  "endpoint": "/wallet/v1/composite-balance/parent/66acce83856147e791206ca90a6e4b6e/children",
  "error": {
    "code": 5000,
    "text": "Validation Error",
    "hints": [
      "Validations for the request failed, please check the parameters and try again",
      "incorrect parent id"
    ]
  },
  "payload": null
}

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json